All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::is_primitive_type< T > Struct Template Reference

Helper class for checking whether a type is a primitive type. More...

`#include <predicate.hpp>`

## Public Types

enum | { value = false }

## Detailed Description

### template<class T>
struct viennacl::is_primitive_type< T >

Helper class for checking whether a type is a primitive type.

Definition at line 490 of file predicate.hpp.

## Member Enumeration Documentation

template<class T >

anonymous enum

Enumerator
value |

Definition at line 490 of file predicate.hpp.

The documentation for this struct was generated from the following file:

- viennacl/meta/predicate.hpp